`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    16:15:04 05/31/2021 
// Design Name: 
// Module Name:    top_tb 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module top_tb(
    );
parameter MAIN_CLK_DELAY = 20;  // 25 MHz

reg r_Rst_L     = 1'b0;
reg r_Clk       = 1'b0;
// Clock Generators:
always #(MAIN_CLK_DELAY) r_Clk = ~r_Clk;

wire wGenClk;
wire [11:0] leds;

top DUT(
.i_Clk50MHz(r_Clk),
.o_GeneratedClock(wGenClk),
	//Leds
.o_led(leds)
);


initial
begin
	r_Rst_L  = 1'b1;
	repeat(1) @(posedge r_Clk);
	r_Rst_L  = 1'b0;
	repeat(3) @(posedge r_Clk);

end // initial begin


endmodule
